> ## Documentation Index
> Fetch the complete documentation index at: https://docs.plugkit.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Mark as handled, or put it back in the pile



## OpenAPI

````yaml /api-reference/openapi.json post /v1/engagement/{id}/handled
openapi: 3.0.0
info:
  title: PlugKit API
  description: >-
    One API to publish, schedule and message across Instagram, WhatsApp, TikTok,
    Telegram, YouTube and X.
  version: 1.0.0
  contact: {}
servers: []
security: []
tags: []
paths:
  /v1/engagement/{id}/handled:
    post:
      tags:
        - engagement
      summary: Mark as handled, or put it back in the pile
      operationId: EngagementController_handled
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/HandledEngagementDto'
      responses:
        '200':
          description: ''
      security:
        - api-key: []
components:
  schemas:
    HandledEngagementDto:
      type: object
      properties:
        handled:
          type: boolean
          description: Mark as handled (true) or put it back in the pile (false).
  securitySchemes:
    api-key:
      scheme: bearer
      bearerFormat: sk_...
      type: http

````